Summary: An HTTP and WebDAV client library
Name: neon
Version: 0.24.7
Release: 4
Copyright: LGPL
Group: Applications/Publishing
Prefix: %{_prefix}
URL: http://www.webdav.org/neon
Source0: http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0: neon-0.23.9-config.patch
Patch1: neon-0.24.7-gssapi.patch
BuildRequires: expat-devel, openssl-devel, zlib-devel, krb5-devel
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: subversion < 0.22.2-4

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: Static libraries and C header files for the neon library.
Group: Development/Libraries
Requires: neon = %{version}-%{release}, openssl-devel, zlib-devel, expat-devel
Conflicts: subversion-devel < 0.22.2-4

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .gssapi

%build
export CFLAGS="-Wall $RPM_OPT_FLAGS"
%configure --with-ssl --with-expat --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# test suite uses port 7777
%ifnarch ppc s390
%check
make -C test %{?_smp_mflags} check
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%doc doc/html
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Tue Oct 12 2004 Joe Orton <jorton@redhat.com> 0.24.7-4
- update to GSSAPI code from trunk

* Fri Jul 23 2004 Joe Orton <jorton@redhat.com> 0.24.7-3
- rebuild

* Tue Jul 20 2004 Joe Orton <jorton@redhat.com> 0.24.7-2.1
- rebuild

* Tue Jul  6 2004 Joe Orton <jorton@redhat.com> 0.24.7-2
- devel requires neon of same release, expat-devel (#127330)

* Mon Jul  5 2004 Joe Orton <jorton@redhat.com> 0.24.7-1
- update to 0.24.7

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 19 2004 Joe Orton <jorton@redhat.com> 0.24.6-1
- update to 0.24.6

* Wed Apr 14 2004 Joe Orton <jorton@redhat.com> 0.24.5-2
- rebuild

* Wed Apr 14 2004 Joe Orton <jorton@redhat.com> 0.24.5-1
- update to 0.24.5 for CVE CAN-2004-0179 fix

* Thu Mar 25 2004 Joe Orton <jorton@redhat.com> 0.24.4-4
- implement the Negotate auth scheme, and only over SSL

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Joe Orton <jorton@redhat.com> 0.24.4-3
- use BuildRequires not BuildPrereq, drop autoconf, libtool;
  -devel requires {openssl,zlib}-devel (#116744)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 0.24.4-2
- rebuilt

* Mon Feb  9 2004 Joe Orton <jorton@redhat.com> 0.24.4-1
- update to 0.24.4

* Thu Oct  9 2003 Joe Orton <jorton@redhat.com> 0.24.3-1
- update to 0.24.3

* Wed Sep 24 2003 Joe Orton <jorton@redhat.com> 0.24.2-1
- update to 0.24.2

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.23.9-7
- rebuild

* Tue Jun 24 2003 Joe Orton <jorton@redhat.com> 0.23.9-6
- never print libdir in --libs output

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Joe Orton <jorton@redhat.com> 0.23.9-4
- don't regenerate docs; limit conflict with subversion

* Wed May 28 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-3
- build.

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig to post/postun

* Tue May 20 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-2
- force expat, include neon-config, for subversion build.
- do "make check" (but ignore failure for now)

* Mon May 19 2003 Jeff Johnson <jbj@redhat.com> 0.23.9-1
- upgrade to 0.23.9.
- avoid xmlto breakage generating man pages for now.

* Mon Nov 11 2002 Jeff Johnson <jbj@redhat.com> 0.23.5-2
- avoid subversion-devel until libxml2 vs. expat is resolved.

* Sat Nov  9 2002 Jeff Johnson <jbj@redhat.com> 0.23.5-1
- Create.
